## rust-onig-sys 69.1.0

=== oniguruma/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(oniguruma VERSION 6.9.1)

set(PACKAGE onig)
set(PACKAGE_VERSION ${PROJECT_VERSION})

option(BUILD_SHARED_LIBS "Build shared libraries" ON)
option(ENABLE_POSIX_API  "Include POSIX API" ON)

set(USE_CRNL_AS_LINE_TERMINATOR 0)
set(VERSION ${PACKAGE_VERSION})

if(MSVC)
  # Force to always compile with W4
  if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
    string(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
  else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
  endif()
elseif(CMAKE_COMPILER_IS_GNUCXX)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
elseif(CMAKE_COMPILER_IS_GNUCC)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
endif()


include(CheckCSourceCompiles)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckSymbolExists)
include(CheckTypeSize)
include(TestBigEndian)

check_function_exists(alloca HAVE_ALLOCA)
check_include_files(alloca.h HAVE_ALLOCA_H)
check_include_files(stdint.h    HAVE_STDINT_H)
check_include_files(sys/times.h HAVE_SYS_TIMES_H)
check_include_files(sys/time.h  HAVE_SYS_TIME_H)
check_include_files(sys/types.h HAVE_SYS_TYPES_H)
check_include_files(unistd.h    HAVE_UNISTD_H)
check_include_files(inttypes.h  HAVE_INTTYPES_H)
check_type_size(int SIZEOF_INT)
check_type_size(long SIZEOF_LONG)
check_type_size(short SIZEOF_SHORT)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/config.h.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/oniguruma.pc.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/oniguruma.pc @ONLY)

set(_SRCS src/regint.h src/regparse.h src/regenc.h src/st.h
 src/regerror.c src/regparse.c src/regext.c src/regcomp.c src/regexec.c
 src/reggnu.c src/regenc.c src/regsyntax.c src/regtrav.c src/regversion.c
 src/st.c src/onig_init.c
 src/unicode.c src/ascii.c src/utf8.c src/utf16_be.c src/utf16_le.c
 src/utf32_be.c src/utf32_le.c src/euc_jp.c src/sjis.c src/iso8859_1.c
 src/iso8859_2.c src/iso8859_3.c src/iso8859_4.c src/iso8859_5.c
 src/iso8859_6.c src/iso8859_7.c src/iso8859_8.c src/iso8859_9.c
 src/iso8859_10.c src/iso8859_11.c src/iso8859_13.c src/iso8859_14.c
 src/iso8859_15.c src/iso8859_16.c src/euc_tw.c src/euc_kr.c src/big5.c
 src/gb18030.c src/koi8_r.c src/cp1251.c
 src/euc_jp_prop.c src/sjis_prop.c
 src/unicode_unfold_key.c
 src/unicode_fold1_key.c src/unicode_fold2_key.c src/unicode_fold3_key.c)

set(_INST_HEADERS src/oniguruma.h src/oniggnu.h)

if(ENABLE_POSIX_API)
  set(_SRCS ${_SRCS} src/regposix.c src/regposerr.c)
  set(_INST_HEADERS ${_INST_HEADERS} src/onigposix.h)
endif()

add_library(onig ${_SRCS})
target_include_directories(onig PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)

# Installation (https://github.com/forexample/package-example)

# Introduce variables:
# * CMAKE_INSTALL_LIBDIR
# * CMAKE_INSTALL_BINDIR
# * CMAKE_INSTALL_INCLUDEDIR
include(GNUInstallDirs)

# Layout. This works for all platforms:
#   * <prefix>/lib*/cmake/<PROJECT-NAME>
#   * <prefix>/lib*/
#   * <prefix>/include/
set(config_install_dir "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")

set(generated_dir "${CMAKE_CURRENT_BINARY_DIR}/generated")

# Configuration
set(version_config "${generated_dir}/${PROJECT_NAME}ConfigVersion.cmake")
set(project_config "${generated_dir}/${PROJECT_NAME}Config.cmake")
set(TARGETS_EXPORT_NAME "${PROJECT_NAME}Targets")
set(namespace "${PROJECT_NAME}::")

# Include module with fuction 'write_basic_package_version_file'
include(CMakePackageConfigHelpers)

# Configure '<PROJECT-NAME>ConfigVersion.cmake'
# Use:
#   * PROJECT_VERSION
write_basic_package_version_file(
    "${version_config}" COMPATIBILITY SameMajorVersion
)

# Configure '<PROJECT-NAME>Config.cmake'
# Use variables:
#   * TARGETS_EXPORT_NAME
#   * PROJECT_NAME
configure_package_config_file(
    "cmake/Config.cmake.in"
    "${project_config}"
    INSTALL_DESTINATION "${config_install_dir}"
)

# Targets:
#   * <prefix>/lib/libonig.a
#   * header location after install: <prefix>/include/
#   * headers can be included by C code `#include <oniguruma.h>`
install(
    TARGETS onig
    EXPORT "${TARGETS_EXPORT_NAME}"
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
)

# Headers:
#   * src/oniguruma.h -> <prefix>/include/oniguruma
install(
    FILES ${_INST_HEADERS}
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
)

# Config
#   * <prefix>/lib/cmake/oniguruma/onigurumaConfig.cmake
#   * <prefix>/lib/cmake/oniguruma/onigurumaConfigVersion.cmake
install(
    FILES "${project_config}" "${version_config}"
    DESTINATION "${config_install_dir}"
)

# Config
#   * <prefix>/lib/cmake/oniguruma/onigurumaTargets.cmake
install(
    EXPORT "${TARGETS_EXPORT_NAME}"
    NAMESPACE "${namespace}"
    DESTINATION "${config_install_dir}"
)

# Documentation (uses onig not oniguruma for directory)
install(FILES doc/API doc/API.ja doc/RE doc/RE.ja doc/FAQ doc/FAQ.ja
              doc/CALLOUTS.BUILTIN doc/CALLOUTS.BUILTIN.ja
              doc/CALLOUTS.API doc/CALLOUTS.API.ja
              doc/UNICODE_PROPERTIES
        DESTINATION "${CMAKE_INSTALL_DATADIR}/${PACKAGE}")

# Other files (uses onig not oniguruma for directory)
install(FILES AUTHORS COPYING HISTORY README.md
        DESTINATION "${CMAKE_INSTALL_DATADIR}/${PACKAGE}")

# pkg-config
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/oniguruma.pc
        DESTINATION lib/pkgconfig)

=== debian/changelog ===
rust-onig-sys (69.1.0-1) unstable; urgency=medium

  * Package onig_sys 69.1.0 from crates.io using debcargo 2.2.10

 -- Helen Koike <helen@koikeco.de>  Sat, 20 Jul 2019 16:20:16 -0300

=== debian/control ===
Source: rust-onig-sys
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 15),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-cc-1+default-dev <!nocheck>,
 librust-pkg-config-0.3+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Helen Koike <helen@koikeco.de>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/onig-sys]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/onig-sys
X-Cargo-Crate: onig_sys

Package: librust-onig-sys-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-cc-1+default-dev,
 librust-pkg-config-0.3+default-dev
Provides:
 librust-onig-sys+default-dev (= ${binary:Version}),
 librust-onig-sys+posix-api-dev (= ${binary:Version}),
 librust-onig-sys+print-debug-dev (= ${binary:Version}),
 librust-onig-sys-69-dev (= ${binary:Version}),
 librust-onig-sys-69+default-dev (= ${binary:Version}),
 librust-onig-sys-69+posix-api-dev (= ${binary:Version}),
 librust-onig-sys-69+print-debug-dev (= ${binary:Version}),
 librust-onig-sys-69.1-dev (= ${binary:Version}),
 librust-onig-sys-69.1+default-dev (= ${binary:Version}),
 librust-onig-sys-69.1+posix-api-dev (= ${binary:Version}),
 librust-onig-sys-69.1+print-debug-dev (= ${binary:Version}),
 librust-onig-sys-69.1.0-dev (= ${binary:Version}),
 librust-onig-sys-69.1.0+default-dev (= ${binary:Version}),
 librust-onig-sys-69.1.0+posix-api-dev (= ${binary:Version}),
 librust-onig-sys-69.1.0+print-debug-dev (= ${binary:Version})
Description: `onig_sys` crate contains raw rust bindings to the oniguruma library - Rust source code
 This crate exposes a set of unsafe functions which can then be used by other
 crates to create safe wrappers around Oniguruma.
 You probably don't want to link to this crate directly; instead check out the
 `onig` crate.
 .
 This package contains the source for the Rust onig_sys crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/onig_sys-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/onig_sys .*/crates/onig_sys/@ANY_VERSION@/download

## rust-onig-sys 69.2.0

=== debian/changelog ===
rust-onig-sys (69.2.0-1build1) groovy; urgency=medium

  * Rebuild against groovy release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Apr 2020 09:30:45 +0200

rust-onig-sys (69.2.0-1) unstable; urgency=medium

  * Team upload.
  * Package onig_sys 69.2.0 from crates.io using debcargo 2.4.0

 -- Paride Legovini <pl@ninthfloor.org>  Sun, 01 Dec 2019 09:59:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: rust
 Priority: optional
 Build-Depends: debhelper (>= 11),
- dh-cargo (>= 15),
+ dh-cargo (>= 18),
  cargo:native <!nocheck>,
  rustc:native <!nocheck>,
  libstd-rust-dev <!nocheck>,
+ librust-bindgen-0.51+default-dev <!nocheck>,
  librust-cc-1+default-dev <!nocheck>,
  librust-pkg-config-0.3+default-dev <!nocheck>
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
@@ -21,6 +22,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
+ librust-bindgen-0.51+default-dev,
  librust-cc-1+default-dev,
  librust-pkg-config-0.3+default-dev
 Provides:
@@ -31,14 +33,14 @@
  librust-onig-sys-69+default-dev (= ${binary:Version}),
  librust-onig-sys-69+posix-api-dev (= ${binary:Version}),
  librust-onig-sys-69+print-debug-dev (= ${binary:Version}),
- librust-onig-sys-69.1-dev (= ${binary:Version}),
- librust-onig-sys-69.1+default-dev (= ${binary:Version}),
- librust-onig-sys-69.1+posix-api-dev (= ${binary:Version}),
- librust-onig-sys-69.1+print-debug-dev (= ${binary:Version}),
- librust-onig-sys-69.1.0-dev (= ${binary:Version}),
- librust-onig-sys-69.1.0+default-dev (= ${binary:Version}),
- librust-onig-sys-69.1.0+posix-api-dev (= ${binary:Version}),
- librust-onig-sys-69.1.0+print-debug-dev (= ${binary:Version})
+ librust-onig-sys-69.2-dev (= ${binary:Version}),
+ librust-onig-sys-69.2+default-dev (= ${binary:Version}),
+ librust-onig-sys-69.2+posix-api-dev (= ${binary:Version}),
+ librust-onig-sys-69.2+print-debug-dev (= ${binary:Version}),
+ librust-onig-sys-69.2.0-dev (= ${binary:Version}),
+ librust-onig-sys-69.2.0+default-dev (= ${binary:Version}),
+ librust-onig-sys-69.2.0+posix-api-dev (= ${binary:Version}),
+ librust-onig-sys-69.2.0+print-debug-dev (= ${binary:Version})
 Description: `onig_sys` crate contains raw rust bindings to the oniguruma library - Rust source code
  This crate exposes a set of unsafe functions which can then be used by other
  crates to create safe wrappers around Oniguruma.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test onig_sys 69.2.0 --all-targets --all-features
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test onig_sys 69.2.0 --all-targets --no-default-features
Depends: dh-cargo (>= 18), librust-onig-sys-dev
Restrictions: allow-stderr, skip-not-installable

## rust-onig-sys 69.5.1

=== oniguruma/CMakeLists.txt ===
--- 
+++ 
@@ -1,28 +1,19 @@
 cmake_minimum_required(VERSION 3.1)
-project(oniguruma VERSION 6.9.1)
+project(oniguruma
+  VERSION 6.9.5
+  LANGUAGES C)
 
 set(PACKAGE onig)
 set(PACKAGE_VERSION ${PROJECT_VERSION})
 
 option(BUILD_SHARED_LIBS "Build shared libraries" ON)
-option(ENABLE_POSIX_API  "Include POSIX API" ON)
+option(ENABLE_POSIX_API  "Include POSIX API" OFF)
+if(MSVC)
+  option(MSVC_STATIC_RUNTIME "Build with static runtime" OFF)
+endif()
 
 set(USE_CRNL_AS_LINE_TERMINATOR 0)
 set(VERSION ${PACKAGE_VERSION})
-
-if(MSVC)
-  # Force to always compile with W4
-  if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
-    string(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
-  else()
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
-  endif()
-elseif(CMAKE_COMPILER_IS_GNUCXX)
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
-elseif(CMAKE_COMPILER_IS_GNUCC)
-  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
-endif()
-
 
 include(CheckCSourceCompiles)
 include(CheckIncludeFiles)
@@ -41,7 +32,6 @@
 check_include_files(inttypes.h  HAVE_INTTYPES_H)
 check_type_size(int SIZEOF_INT)
 check_type_size(long SIZEOF_LONG)
-check_type_size(short SIZEOF_SHORT)
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/config.h.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
@@ -73,6 +63,28 @@
 target_include_directories(onig PUBLIC
   $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src>
   $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)
+
+target_compile_definitions(onig PUBLIC
+  $<$<NOT:$<BOOL:${BUILD_SHARED_LIBS}>>:ONIG_STATIC>)
+
+if(MSVC)
+  target_compile_options(onig PRIVATE
+	#/W4
+	)
+  if(MSVC_STATIC_RUNTIME)
+	target_compile_options(onig PRIVATE
+	  $<$<CONFIG:Release>:/MT>
+	  $<$<CONFIG:Debug>:/MTd>
+	  $<$<CONFIG:MinSizeRel>:/MT>
+	  $<$<CONFIG:RelWithDebgInfo>:/MTd>
+	  )
+  endif()
+elseif(CMAKE_COMPILER_IS_GNUCC)
+  target_compile_options(onig PRIVATE
+	-Wall
+	)
+endif()
+
 
 # Installation (https://github.com/forexample/package-example)

=== debian/changelog ===
rust-onig-sys (69.5.1-2) unstable; urgency=medium

  * Team upload.
  * Package onig_sys 69.5.1 from crates.io using debcargo 2.4.3
  * Apply upstream patch to make oniguruma build correctly on 32-bit
    architectures (Closes: #973499).

 -- Peter Michael Green <plugwash@debian.org>  Sun, 01 Nov 2020 23:51:00 +0000

rust-onig-sys (69.5.1-1) unstable; urgency=medium

  * Package onig_sys 69.5.1 from crates.io using debcargo 2.4.3
    Fix the deps (Closes: #971147)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 18 Oct 2020 00:22:04 +0200

=== debian/control ===
Source: rust-onig-sys
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bindgen-0.55+default-dev <!nocheck>,
 librust-cc-1+default-dev <!nocheck>,
 librust-pkg-config-0.3+default-dev (>= 0.3.16-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/onig-sys]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/onig-sys
X-Cargo-Crate: onig_sys

Package: librust-onig-sys-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bindgen-0.55+default-dev,
 librust-cc-1+default-dev,
 librust-pkg-config-0.3+default-dev (>= 0.3.16-~~)
Provides:
 librust-onig-sys+default-dev (= ${binary:Version}),
 librust-onig-sys+posix-api-dev (= ${binary:Version}),
 librust-onig-sys+print-debug-dev (= ${binary:Version}),
 librust-onig-sys-69-dev (= ${binary:Version}),
 librust-onig-sys-69+default-dev (= ${binary:Version}),
 librust-onig-sys-69+posix-api-dev (= ${binary:Version}),
 librust-onig-sys-69+print-debug-dev (= ${binary:Version}),
 librust-onig-sys-69.5-dev (= ${binary:Version}),
 librust-onig-sys-69.5+default-dev (= ${binary:Version}),
 librust-onig-sys-69.5+posix-api-dev (= ${binary:Version}),
 librust-onig-sys-69.5+print-debug-dev (= ${binary:Version}),
 librust-onig-sys-69.5.1-dev (= ${binary:Version}),
 librust-onig-sys-69.5.1+default-dev (= ${binary:Version}),
 librust-onig-sys-69.5.1+posix-api-dev (= ${binary:Version}),
 librust-onig-sys-69.5.1+print-debug-dev (= ${binary:Version})
Description: `onig_sys` crate contains raw rust bindings to the oniguruma library - Rust source code
 This crate exposes a set of unsafe functions which can then be used by other
 crates to create safe wrappers around Oniguruma.
 You probably don't want to link to this crate directly; instead check out the
 `onig` crate.
 .
 This package contains the source for the Rust onig_sys crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test onig_sys 69.5.1 --all-targets --all-features
Features: test-name=@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test onig_sys 69.5.1 --all-targets --no-default-features
Features: test-name=librust-onig-sys-dev
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/onig_sys-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/onig_sys .*/crates/onig_sys/@ANY_VERSION@/download

## rust-onig-sys 69.8.0

=== debian/changelog ===
rust-onig-sys (69.8.0-1) unstable; urgency=medium

  * Team upload.
  * Package onig_sys 69.8.0 from crates.io using debcargo 2.5.0
  * Update copyright file.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 04 Aug 2022 00:03:20 +0000

rust-onig-sys (69.7.1-2) unstable; urgency=medium

  * Package onig_sys 69.7.1 from crates.io using debcargo 2.5.0
  * Unbreak the bindgen dep

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 07 Jun 2022 23:34:20 +0200

rust-onig-sys (69.7.1-1) unstable; urgency=medium

  * Package onig_sys 69.7.1 from crates.io using debcargo 2.5.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 02 Jun 2022 22:27:58 +0200

rust-onig-sys (69.5.1-4) unstable; urgency=medium

  * Team upload.
  * Package onig_sys 69.5.1 from crates.io using debcargo 2.4.4
  * Fix typo in bindgen dependency.

 -- Peter Michael Green <plugwash@debian.org>  Wed, 25 Aug 2021 08:17:42 +0000

rust-onig-sys (69.5.1-3) unstable; urgency=medium

  * Team upload.
  * Package onig_sys 69.5.1 from crates.io using debcargo 2.4.4
  * Relax dependency on bindgen.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 24 Aug 2021 17:32:49 +0000

=== debian/control ===
Source: rust-onig-sys
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bindgen-0+default-dev <!nocheck>,
 librust-cc-1+default-dev <!nocheck>,
 librust-pkg-config-0.3+default-dev (>= 0.3.16-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/onig-sys]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/onig-sys
X-Cargo-Crate: onig_sys
Rules-Requires-Root: no

Package: librust-onig-sys-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bindgen-0+default-dev,
 librust-cc-1+default-dev,
 librust-pkg-config-0.3+default-dev (>= 0.3.16-~~)
Provides:
 librust-onig-sys+default-dev (= ${binary:Version}),
 librust-onig-sys+posix-api-dev (= ${binary:Version}),
 librust-onig-sys+print-debug-dev (= ${binary:Version}),
 librust-onig-sys-69-dev (= ${binary:Version}),
 librust-onig-sys-69+default-dev (= ${binary:Version}),
 librust-onig-sys-69+posix-api-dev (= ${binary:Version}),
 librust-onig-sys-69+print-debug-dev (= ${binary:Version}),
 librust-onig-sys-69.8-dev (= ${binary:Version}),
 librust-onig-sys-69.8+default-dev (= ${binary:Version}),
 librust-onig-sys-69.8+posix-api-dev (= ${binary:Version}),
 librust-onig-sys-69.8+print-debug-dev (= ${binary:Version}),
 librust-onig-sys-69.8.0-dev (= ${binary:Version}),
 librust-onig-sys-69.8.0+default-dev (= ${binary:Version}),
 librust-onig-sys-69.8.0+posix-api-dev (= ${binary:Version}),
 librust-onig-sys-69.8.0+print-debug-dev (= ${binary:Version})
Description: `onig_sys` crate contains raw rust bindings to the oniguruma library - Rust source code
 This crate exposes a set of unsafe functions which can then be used by other
 crates to create safe wrappers around Oniguruma.
 You probably don't want to link to this crate directly; instead check out the
 `onig` crate.
 .
 This package contains the source for the Rust onig_sys crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test onig_sys 69.8.0 --all-targets --all-features
Features: test-name=rust-onig-sys:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test onig_sys 69.8.0 --all-targets 
Features: test-name=librust-onig-sys-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test onig_sys 69.8.0 --all-targets --no-default-features --features posix-api
Features: test-name=librust-onig-sys-dev:posix-api
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test onig_sys 69.8.0 --all-targets --no-default-features --features print-debug
Features: test-name=librust-onig-sys-dev:print-debug
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test onig_sys 69.8.0 --all-targets --no-default-features
Features: test-name=librust-onig-sys-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-onig-sys 69.8.1

=== debian/changelog ===
rust-onig-sys (69.8.1-1) unstable; urgency=medium

  * Package onig_sys 69.8.1 from crates.io using debcargo 2.6.0

  [ Matthias Geiger ]
  * Team upload.
  * Package onig_sys 69.8.1 from crates.io using debcargo 2.6.0

 -- Peter Michael Green <plugwash@debian.org>  Tue, 19 Sep 2023 21:59:54 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Sylvestre Ledru <sylvestre@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/onig-sys]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/onig-sys
 X-Cargo-Crate: onig_sys
@@ -38,10 +38,10 @@
  librust-onig-sys-69.8+default-dev (= ${binary:Version}),
  librust-onig-sys-69.8+posix-api-dev (= ${binary:Version}),
  librust-onig-sys-69.8+print-debug-dev (= ${binary:Version}),
- librust-onig-sys-69.8.0-dev (= ${binary:Version}),
- librust-onig-sys-69.8.0+default-dev (= ${binary:Version}),
- librust-onig-sys-69.8.0+posix-api-dev (= ${binary:Version}),
- librust-onig-sys-69.8.0+print-debug-dev (= ${binary:Version})
+ librust-onig-sys-69.8.1-dev (= ${binary:Version}),
+ librust-onig-sys-69.8.1+default-dev (= ${binary:Version}),
+ librust-onig-sys-69.8.1+posix-api-dev (= ${binary:Version}),
+ librust-onig-sys-69.8.1+print-debug-dev (= ${binary:Version})
 Description: `onig_sys` crate contains raw rust bindings to the oniguruma library - Rust source code
  This crate exposes a set of unsafe functions which can then be used by other
  crates to create safe wrappers around Oniguruma.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test onig_sys 69.8.1 --all-targets --all-features
Features: test-name=rust-onig-sys:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test onig_sys 69.8.1 --all-targets
Features: test-name=librust-onig-sys-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test onig_sys 69.8.1 --all-targets --no-default-features --features posix-api
Features: test-name=librust-onig-sys-dev:posix-api
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test onig_sys 69.8.1 --all-targets --no-default-features --features print-debug
Features: test-name=librust-onig-sys-dev:print-debug
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test onig_sys 69.8.1 --all-targets --no-default-features
Features: test-name=librust-onig-sys-dev:
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

## rust-onig-sys 69.9.1

=== debian/changelog ===
rust-onig-sys (69.9.1-1) unstable; urgency=medium

  * Team upload.
  * Package onig_sys 69.9.1 from crates.io using debcargo 2.7.8
  * Drop embedded libonig copy, instead use libonig5 (Closes: #1097832)

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 05 Sep 2025 18:41:04 +0200

=== debian/control ===
Source: rust-onig-sys
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native (>= 1.70.0) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bindgen-0+default-dev <!nocheck>,
 librust-cc-1+default-dev <!nocheck>,
 librust-pkg-config-0.3+default-dev (>= 0.3.16-~~) <!nocheck>,
 libonig-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/onig-sys]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/onig-sys
Homepage: https://github.com/iwillspeak/rust-onig
X-Cargo-Crate: onig_sys
Rules-Requires-Root: no

Package: librust-onig-sys-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bindgen-0+default-dev,
 librust-cc-1+default-dev,
 librust-pkg-config-0.3+default-dev (>= 0.3.16-~~),
 libonig-dev
Provides:
 librust-onig-sys+default-dev (= ${binary:Version}),
 librust-onig-sys+posix-api-dev (= ${binary:Version}),
 librust-onig-sys+print-debug-dev (= ${binary:Version}),
 librust-onig-sys-69-dev (= ${binary:Version}),
 librust-onig-sys-69+default-dev (= ${binary:Version}),
 librust-onig-sys-69+posix-api-dev (= ${binary:Version}),
 librust-onig-sys-69+print-debug-dev (= ${binary:Version}),
 librust-onig-sys-69.9-dev (= ${binary:Version}),
 librust-onig-sys-69.9+default-dev (= ${binary:Version}),
 librust-onig-sys-69.9+posix-api-dev (= ${binary:Version}),
 librust-onig-sys-69.9+print-debug-dev (= ${binary:Version}),
 librust-onig-sys-69.9.1-dev (= ${binary:Version}),
 librust-onig-sys-69.9.1+default-dev (= ${binary:Version}),
 librust-onig-sys-69.9.1+posix-api-dev (= ${binary:Version}),
 librust-onig-sys-69.9.1+print-debug-dev (= ${binary:Version})
Description: `onig_sys` crate contains raw rust bindings to the oniguruma library - Rust source code
 This crate exposes a set of unsafe functions which can then be used by other
 crates to create safe wrappers around Oniguruma.
 You probably don't want to link to this crate directly; instead check out the
 `onig` crate.
 .
 Source code for Debianized Rust crate "onig_sys"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test onig_sys 69.9.1 --all-targets --all-features
Features: test-name=rust-onig-sys:@
Depends: dh-cargo (>= 31), rustc (>= 1.70.0), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test onig_sys 69.9.1 --all-targets
Features: test-name=librust-onig-sys-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.70.0), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test onig_sys 69.9.1 --all-targets --no-default-features --features posix-api
Features: test-name=librust-onig-sys-dev:posix-api
Depends: dh-cargo (>= 31), rustc (>= 1.70.0), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test onig_sys 69.9.1 --all-targets --no-default-features --features print-debug
Features: test-name=librust-onig-sys-dev:print-debug
Depends: dh-cargo (>= 31), rustc (>= 1.70.0), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test onig_sys 69.9.1 --all-targets --no-default-features
Features: test-name=librust-onig-sys-dev:
Depends: dh-cargo (>= 31), rustc (>= 1.70.0), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/onig_sys-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/onig_sys .*/crates/onig_sys/@ANY_VERSION@/download
